Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Class FiredTriggerRecord

    java.lang.Object
      org.quartz.impl.jdbcjobstore.FiredTriggerRecord

All Implemented Interfaces:
  Serializable

public class FiredTriggerRecord
extends Object
implements Serializable

Conveys the state of a fired-trigger record.

Author:
  James House
See Also:
  Serialized Form

Constructor Summary
`FiredTriggerRecord()`

Method Summary
`String` | `getFireInstanceId()`
`String` | `getFireInstanceState()`
`long` | `getFireTimestamp()`
`Key` | `getJobKey()`
`String` | `getSchedulerInstanceId()`
`Key` | `getTriggerKey()`
`boolean` | `isJobIsStateful()`
`boolean` | `isJobRequestsRecovery()`
`boolean` | `isTriggerIsVolatile()`
`void` | `setFireInstanceId(String string)`
`void` | `setFireInstanceState(String string)`
`void` | `setFireTimestamp(long l)`
`void` | `setJobIsStateful(boolean b)`
`void` | `setJobKey(Key key)`
`void` | `setJobRequestsRecovery(boolean b)`
`void` | `setSchedulerInstanceId(String string)`
`void` | `setTriggerIsVolatile(boolean b)`
`void` | `setTriggerKey(Key key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FiredTriggerRecord

    public FiredTriggerRecord()

Method Detail

### getFireInstanceId

    public String getFireInstanceId()

### getFireTimestamp

    public long getFireTimestamp()

### isJobIsStateful

    public boolean isJobIsStateful()

### getJobKey

    public Key getJobKey()

### getSchedulerInstanceId

    public String getSchedulerInstanceId()

### getTriggerKey

    public Key getTriggerKey()

### getFireInstanceState

    public String getFireInstanceState()

### setFireInstanceId

    public void setFireInstanceId(String string)

### setFireTimestamp

    public void setFireTimestamp(long l)

### setJobIsStateful

    public void setJobIsStateful(boolean b)

### setJobKey

    public void setJobKey(Key key)

### setSchedulerInstanceId

    public void setSchedulerInstanceId(String string)

### setTriggerKey

    public void setTriggerKey(Key key)

### setFireInstanceState

    public void setFireInstanceState(String string)

### isJobRequestsRecovery

    public boolean isJobRequestsRecovery()

### isTriggerIsVolatile

    public boolean isTriggerIsVolatile()

### setJobRequestsRecovery

    public void setJobRequestsRecovery(boolean b)

### setTriggerIsVolatile

    public void setTriggerIsVolatile(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD